﻿using BeatLyrics.Common;
using System;
using System.Drawing;
using System.IO;

namespace BeatLyrics.Tool.Models
{
    internal class LevelInfo
    {
        public bool IsVerify => File.Exists(DirProvider.GetVerifyFile(Hash));

        public bool IsValid { get; set; }
        public string Error { get; set; }

        public string SongName { get; set; }
        public string SongSubName { get; set; }
        public string SongAuthor { get; set; }

        public string LevelAuthor { get; set; }
        public string Description { get; set; }
        public string Hash { get; set; }

        public string Directory { get; set; }

        public string MediaPath { get; set; }
        public string CoverPath { get; set; }
        public Image CoverImage { get; set; }

        public LocalLyricInfo[] LocalLyrics { get; set; }

        public DateTime DirectoryTime { get; set; }

        public string DirectoryTimeText => DirectoryTime.ToString("yyyy-MM-dd HH:mm:ss");
    }
}
