﻿using BeatLyrics.Common.Models;
using BeatLyrics.Tool.Utils;
using Newtonsoft.Json;
using System;
using System.Drawing;

namespace BeatLyrics.Tool.Models
{
    public class LyricDetailExt : LyricDetail
    {
        [JsonIgnore]
        public string TimeText => TimeSpan.FromMilliseconds(TimeMs).FormatToTotalMinuteAndSecondsAndMs();

        [JsonIgnore]
        public Rectangle Box;

        [JsonIgnore]
        public Rectangle Hit;
    }
}
